import DataStructures.*;
import Exceptions.*;
import Supporting.*;

// Simple test program for priority queues
public final class TestPriorityQueue
{
    public static void main( String [ ] args )
    {
        PriorityQueue pq = new PairHeap( );

        pq.insert( new MyInteger( 4 ) );
        pq.insert( new MyInteger( 2 ) );
        pq.insert( new MyInteger( 1 ) );
        pq.insert( new MyInteger( 3 ) );
        pq.insert( new MyInteger( 0 ) );

        System.out.print( "Contents:" );
        try
        {
            for( ; ; )
                System.out.print( " " + pq.deleteMin( ) );
        }
        catch( Underflow e ) { }

        System.out.println( );
    }
}